import { MatrixClient } from "matrix-js-sdk/src/matrix";
import { RunResult } from "./interface";
export declare function reject(error?: any): RunResult;
export declare function success(promise?: Promise<any>): RunResult;
export declare function successSync(value: any): RunResult;
export declare const canAffectPowerlevels: (cli: MatrixClient | null) => boolean;
export declare const singleMxcUpload: (cli: MatrixClient) => Promise<string | null>;
export declare const isCurrentLocalRoom: (cli: MatrixClient | null) => boolean;
